nxt

## Class Shuffling

- java.lang.Object
- - nxt.Shuffling

-     public final class Shuffling
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Shuffling.Event`
    `static class` | `Shuffling.Stage`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<Shuffling> listener, Shuffling.Event eventType)`
    `static DbIterator<Shuffling>` | `getAccountShufflings(long accountId, boolean includeFinished, int from, int to)`
    `static int` | `getActiveCount()`
    `static DbIterator<Shuffling>` | `getActiveShufflings(int from, int to)`
    `static DbIterator<Shuffling>` | `getAll(int from, int to)`
    `long` | `getAmount()`
    `static DbIterator<Shuffling>` | `getAssignedShufflings(long assigneeAccountId, int from, int to)`
    `long` | `getAssigneeAccountId()`
    `short` | `getBlocksRemaining()`
    `static int` | `getCount()`
    `static DbIterator<Shuffling>` | `getFinishedShufflings(int from, int to)`
    `byte[]` | `getFullHash()`
    `long` | `getHoldingId()`
    `static int` | `getHoldingShufflingCount(long holdingId, boolean includeFinished)`
    `static DbIterator<Shuffling>` | `getHoldingShufflings(long holdingId, Shuffling.Stage stage, boolean includeFinished, int from, int to)`
    `HoldingType` | `getHoldingType()`
    `long` | `getId()`
    `long` | `getIssuerId()`
    `ShufflingParticipant` | `getLastParticipant()`
    `ShufflingParticipant` | `getParticipant(long accountId)`
    `byte` | `getParticipantCount()`
    `byte[][]` | `getRecipientPublicKeys()`
    `byte` | `getRegistrantCount()`
    `static Shuffling` | `getShuffling(byte[] fullHash)`
    `static Shuffling` | `getShuffling(long shufflingId)`
    `Shuffling.Stage` | `getStage()`
    `byte[]` | `getStateHash()`
    `Attachment.ShufflingAttachment` | `process(long accountId, java.lang.String secretPhrase, byte[] recipientPublicKey)`
    `static boolean` | `removeListener(Listener<Shuffling> listener, Shuffling.Event eventType)`
    `Attachment.ShufflingCancellation` | `revealKeySeeds(java.lang.String secretPhrase, long cancellingAccountId, byte[] shufflingStateHash)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addListener

          public static boolean addListener(Listener<Shuffling> listener,
                                            Shuffling.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<Shuffling> listener,
                                               Shuffling.Event eventType)

    - #### getCount

          public static int getCount()

    - #### getActiveCount

          public static int getActiveCount()

    - #### getAll

          public static DbIterator<Shuffling> getAll(int from,
                                                     int to)

    - #### getActiveShufflings

          public static DbIterator<Shuffling> getActiveShufflings(int from,
                                                                  int to)

    - #### getFinishedShufflings

          public static DbIterator<Shuffling> getFinishedShufflings(int from,
                                                                    int to)

    - #### getShuffling

          public static Shuffling getShuffling(long shufflingId)

    - #### getShuffling

          public static Shuffling getShuffling(byte[] fullHash)

    - #### getHoldingShufflingCount

          public static int getHoldingShufflingCount(long holdingId,
                                                     boolean includeFinished)

    - #### getHoldingShufflings

          public static DbIterator<Shuffling> getHoldingShufflings(long holdingId,
                                                                   Shuffling.Stage stage,
                                                                   boolean includeFinished,
                                                                   int from,
                                                                   int to)

    - #### getAccountShufflings

          public static DbIterator<Shuffling> getAccountShufflings(long accountId,
                                                                   boolean includeFinished,
                                                                   int from,
                                                                   int to)

    - #### getAssignedShufflings

          public static DbIterator<Shuffling> getAssignedShufflings(long assigneeAccountId,
                                                                    int from,
                                                                    int to)

    - #### getId

          public long getId()

    - #### getHoldingId

          public long getHoldingId()

    - #### getHoldingType

          public HoldingType getHoldingType()

    - #### getIssuerId

          public long getIssuerId()

    - #### getAmount

          public long getAmount()

    - #### getParticipantCount

          public byte getParticipantCount()

    - #### getRegistrantCount

          public byte getRegistrantCount()

    - #### getBlocksRemaining

          public short getBlocksRemaining()

    - #### getStage

          public Shuffling.Stage getStage()

    - #### getAssigneeAccountId

          public long getAssigneeAccountId()

    - #### getRecipientPublicKeys

          public byte[][] getRecipientPublicKeys()

    - #### getParticipant

          public ShufflingParticipant getParticipant(long accountId)

    - #### getLastParticipant

          public ShufflingParticipant getLastParticipant()

    - #### getStateHash

          public byte[] getStateHash()

    - #### getFullHash

          public byte[] getFullHash()

    - #### process

          public Attachment.ShufflingAttachment process(long accountId,
                                                        java.lang.String secretPhrase,
                                                        byte[] recipientPublicKey)

    - #### revealKeySeeds

          public Attachment.ShufflingCancellation revealKeySeeds(java.lang.String secretPhrase,
                                                                 long cancellingAccountId,
                                                                 byte[] shufflingStateHash)